import ezcache
from numpy.random import rand
import time

f = lambda z : z**2
d = '/home/domke/work1/divide_and_couple'

a = int(rand()*100)
print('random int:',a)

ezcache.run(f,a,directory=d)

ezcache.wait_for_complete()
time.sleep(5)

print('a squared',ezcache.get(f,a,directory=d))